{
  "description": "StatefulSetStatus represents the current state of a StatefulSet.",
  "properties": {
    "availableReplicas": {
      "description": "Total number of available pods (ready for at least minReadySeconds) targeted by this statefulset.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "collisionCount": {
      "description": "collisionCount is the count of hash collisions for the StatefulSet. The StatefulSet controller uses this field as a collision avoidance mechanism when it needs to create the name for the newest ControllerRevision.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "conditions": {
      "description": "Represents the latest available observations of a statefulset's current state.",
      "items": {
        "$ref": "/api/_definitions.json#/$defs/io.k8s.api.apps.v1.StatefulSetCondition"
      },
      "type": [
        "array",
        "null"
      ],
      "x-kubernetes-patch-merge-key": "type",
      "x-kubernetes-patch-strategy": "merge"
    },
    "currentReplicas": {
      "description": "currentReplicas is the number of Pods created by the StatefulSet controller from the StatefulSet version indicated by currentRevision.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "currentRevision": {
      "description": "currentRevision, if not empty, indicates the version of the StatefulSet used to generate Pods in the sequence [0,currentReplicas).",
      "type": [
        "string",
        "null"
      ]
    },
    "observedGeneration": {
      "description": "observedGeneration is the most recent generation observed for this StatefulSet. It corresponds to the StatefulSet's generation, which is updated on mutation by the API Server.",
      "format": "int64",
      "type": [
        "integer",
        "null"
      ]
    },
    "readyReplicas": {
      "description": "readyReplicas is the number of pods created for this StatefulSet with a Ready Condition.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "replicas": {
      "description": "replicas is the number of Pods created by the StatefulSet controller.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "updateRevision": {
      "description": "updateRevision, if not empty, indicates the version of the StatefulSet used to generate Pods in the sequence [replicas-updatedReplicas,replicas)",
      "type": [
        "string",
        "null"
      ]
    },
    "updatedReplicas": {
      "description": "updatedReplicas is the number of Pods created by the StatefulSet controller from the StatefulSet version indicated by updateRevision.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    }
  },
  "required": [
    "replicas"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://kubernetes.io/api/statefulsetstatus/apps/v1"
}